package com.zj365.health.act

import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.IBaseAct
import com.xty.base.databinding.ActXtangHowOpenBinding
import com.xty.common.arouter.ARouterUrl


/**
 * 血糖如何获取兑换码  显示加载
 */
@Route(path = ARouterUrl.XT_HOW_OPEN)
class XTangHowOpenAct : IBaseAct() {
    val binding by lazy {  ActXtangHowOpenBinding.inflate(layoutInflater) }
    override fun setLayout() = binding.root
    private var url = ""
    private var titleName = "如何获取兑换码"
    override fun initData() {
        super.initData()
        isDarkBar = true
//        intent.extras?.let {
//            url = it.getString("url", "")
//            titleName = it.getString("title", "")
//        }
    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mIvBack.setOnClickListener { finish() }
        binding.title.mTvTitle.text = titleName
    }

}


